<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_s"></a>- s -</h3><ul>
<li>scan()
: <a class="el" href="classI2C.html#ad3ebfa3204880e4fa60beeba997f357a">I2C</a>
, <a class="el" href="classWiFi.html#a97592a3ac47f6f301a2417385c4e8ea2">WiFi</a>
</li>
<li>send()
: <a class="el" href="classRingbuffer.html#ac4700ffc589022ed2dee5c069f583d7c">Ringbuffer</a>
, <a class="el" href="classSocket.html#ad9757badfe9d9903d07ef7c70279ad77">Socket</a>
, <a class="el" href="classWebSocket.html#a9632cea9451d149a1dda489a3d0975cf">WebSocket</a>
</li>
<li>sendAck()
: <a class="el" href="classTFTP_1_1TFTP__Transaction.html#a46521d26eb68aac975fbb58e706804e8">TFTP::TFTP_Transaction</a>
</li>
<li>sendData()
: <a class="el" href="classHttpResponse.html#a68bc032812a96326d9fe4fde668a372b">HttpResponse</a>
, <a class="el" href="classSockServ.html#a3e4e4cc30becc9440573c3285e8004d2">SockServ</a>
</li>
<li>sendError()
: <a class="el" href="classTFTP_1_1TFTP__Transaction.html#a503c474a79b6b88c36b108bba9236e01">TFTP::TFTP_Transaction</a>
</li>
<li>sendTo()
: <a class="el" href="classSocket.html#a44a41324fbee63de97bdadc7de03bda3">Socket</a>
</li>
<li>set()
: <a class="el" href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">NVS</a>
</li>
<li>setAddress()
: <a class="el" href="classI2C.html#ab6ea7b33432cfea858484411741b3bca">I2C</a>
</li>
<li>setArray()
: <a class="el" href="classJsonObject.html#a19f385d7149976a9726e84e2ff287317">JsonObject</a>
</li>
<li>setBaseDir()
: <a class="el" href="classTFTP.html#a13a7562a16fea3acabafc3c0811cabef">TFTP</a>
, <a class="el" href="classTFTP_1_1TFTP__Transaction.html#ab1dc0909b4d9416f2148a0ba68453a76">TFTP::TFTP_Transaction</a>
</li>
<li>setBoolean()
: <a class="el" href="classJsonObject.html#a325a19e3eaff0b86f36af75f18786bc9">JsonObject</a>
</li>
<li>setBrightness()
: <a class="el" href="classSmartLED.html#afd7bcb3a6606ee885978c94cc5bd3833">SmartLED</a>
</li>
<li>setCallback()
: <a class="el" href="classPubSubClient.html#a115733ca6dd337362375d3c4a45300fe">PubSubClient</a>
</li>
<li>setCallbacks()
: <a class="el" href="classFTPServer.html#a193be61985bf88aa0cc70834a801916a">FTPServer</a>
</li>
<li>setChar()
: <a class="el" href="classMAX7219.html#a8a4624d45533a9de52585202f7b2fc78">MAX7219</a>
</li>
<li>setClient()
: <a class="el" href="classPubSubClient.html#a30e35b9461d26f3d10736ac39c9de418">PubSubClient</a>
</li>
<li>setClientTimeout()
: <a class="el" href="classHttpServer.html#ad70784b8f9484a16bf74c34413a24d4d">HttpServer</a>
</li>
<li>setColorOrder()
: <a class="el" href="classSmartLED.html#a1d7155c63ed77ae070575dcbc960292e">SmartLED</a>
, <a class="el" href="classWS2812.html#a7a68e53534f4b1f68e447621caf0e2e6">WS2812</a>
</li>
<li>setColumn()
: <a class="el" href="classMAX7219.html#a4cc8fe7ad21942e059ac4a931fce502e">MAX7219</a>
</li>
<li>setCore()
: <a class="el" href="classTask.html#a5ec932fb35fd295c78eafcf06af1d91d">Task</a>
</li>
<li>setDebug()
: <a class="el" href="classI2C.html#a846d50b0bd6b866498f91bfc50b565cc">I2C</a>
</li>
<li>setDigit()
: <a class="el" href="classMAX7219.html#aa4f94d965ecde62d2dd8a4091005b0a0">MAX7219</a>
</li>
<li>setDirectoryListing()
: <a class="el" href="classHttpServer.html#aab1f060cbbaaeaa2b75f812e866e6ff0">HttpServer</a>
</li>
<li>setDNSServer()
: <a class="el" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">WiFi</a>
</li>
<li>setDouble()
: <a class="el" href="classJsonObject.html#a845838c1d36f3ff586b325b5b56b65bc">JsonObject</a>
</li>
<li>setDuty()
: <a class="el" href="classPWM.html#adae9be9a8c34c42d0f81dd0b4a24c14f">PWM</a>
</li>
<li>setDutyPercentage()
: <a class="el" href="classPWM.html#ab2a9dd4cbe6349d420eef610e8909011">PWM</a>
</li>
<li>setFileBufferSize()
: <a class="el" href="classHttpServer.html#a7686343c224f5e8a62f5f07de481345d">HttpServer</a>
</li>
<li>setFrequency()
: <a class="el" href="classPWM.html#a51543c5bf29d9f3ae83c7f5af176895d">PWM</a>
</li>
<li>setHandler()
: <a class="el" href="classWebSocket.html#aad812ebe8eb8405006c0ed8c8e567239">WebSocket</a>
</li>
<li>setHost()
: <a class="el" href="classSPI.html#a85ec652a3a1eb453f6b9938a45b599c9">SPI</a>
</li>
<li>setHSBPixel()
: <a class="el" href="classSmartLED.html#a0d25c9253f280f79c3fee565d0bd3efd">SmartLED</a>
, <a class="el" href="classWS2812.html#ab351cea856076c96121d5c3b64f2a7f3">WS2812</a>
</li>
<li>setInput()
: <a class="el" href="classESP32CPP_1_1GPIO.html#afd43e7bc27885215900f7780197a0247">ESP32CPP::GPIO</a>
</li>
<li>setInt()
: <a class="el" href="classJsonObject.html#a3e874f6366c532732adbb7dcc50a641c">JsonObject</a>
</li>
<li>setIntensity()
: <a class="el" href="classMAX7219.html#a204133a6b253f5d519acd5dc0077f32a">MAX7219</a>
</li>
<li>setInterruptType()
: <a class="el" href="classESP32CPP_1_1GPIO.html#af649387f8f64c1abdc66d3b93c2e966b">ESP32CPP::GPIO</a>
</li>
<li>setInvert()
: <a class="el" href="classPCF8574.html#a9663079a19f252a5edc2471f384bc28b">PCF8574</a>
, <a class="el" href="classPCF8575.html#a5841b1d96a69b53be8a9a7634e445212">PCF8575</a>
</li>
<li>setIPInfo()
: <a class="el" href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">WiFi</a>
</li>
<li>setLed()
: <a class="el" href="classMAX7219.html#aebc8bfad65290b1b4580688c719f7e13">MAX7219</a>
</li>
<li>setMaxFiles()
: <a class="el" href="classFATFS__VFS.html#ae88702f8fce66d77974571adfe7db5a3">FATFS_VFS</a>
</li>
<li>setName()
: <a class="el" href="classFreeRTOS_1_1Semaphore.html#a24047020ab820d4f641bc39bfab643df">FreeRTOS::Semaphore</a>
, <a class="el" href="classTask.html#a23abd79183a5c2bb1e6d3ff37b1cbf23">Task</a>
</li>
<li>setNext()
: <a class="el" href="classDMABuffer.html#abae5632ed93fdb8c200e968640d83b71">DMABuffer</a>
</li>
<li>setNextHandler()
: <a class="el" href="classWiFiEventHandler.html#afee45469141ee1351e06609ad0050133">WiFiEventHandler</a>
</li>
<li>setNumber()
: <a class="el" href="classMAX7219.html#a1e50065060426b3433ec16ea2e304760">MAX7219</a>
</li>
<li>setObject()
: <a class="el" href="classJsonObject.html#acdf7762d31f04063b1b6a871ae91af0e">JsonObject</a>
</li>
<li>setOutput()
: <a class="el" href="classESP32CPP_1_1GPIO.html#ac1599d926502a487e0e7518dc343a833">ESP32CPP::GPIO</a>
</li>
<li>setPixel()
: <a class="el" href="classSmartLED.html#aa0e7fcf8f943748d68c23dbef90b52a6">SmartLED</a>
, <a class="el" href="classWS2812.html#a2f37824dbf4730986d4ebde58c25a48d">WS2812</a>
</li>
<li>setPort()
: <a class="el" href="classFTPServer.html#adee541fc29714c9ff5f478892b0efe60">FTPServer</a>
, <a class="el" href="classSockServ.html#a12c8f4baa1bad7d405a39c4ad3310e37">SockServ</a>
</li>
<li>setPriority()
: <a class="el" href="classTask.html#aaa220be4e5007ede0bd3e5349d36eae9">Task</a>
</li>
<li>setReuseAddress()
: <a class="el" href="classSocket.html#ad435a8a36e2759203db8b4b2c67e4e85">Socket</a>
</li>
<li>setRootPath()
: <a class="el" href="classHttpServer.html#a141a7cde0ccf11ff395df0faef79d6a5">HttpServer</a>
</li>
<li>setRow()
: <a class="el" href="classMAX7219.html#aecd0b20a63757fd74e849369dd797e74">MAX7219</a>
</li>
<li>setScanLimit()
: <a class="el" href="classMAX7219.html#a14cd47938ff60879b676d9a0c02d4268">MAX7219</a>
</li>
<li>setServer()
: <a class="el" href="classPubSubClient.html#aa809b115adf6c551dee72d12ecfd8414">PubSubClient</a>
</li>
<li>setSocketOption()
: <a class="el" href="classSocket.html#a0bee77d0779e5d3a0f62ef7d37e5033d">Socket</a>
</li>
<li>setSSL()
: <a class="el" href="classSocket.html#a73d0af1a733ff70a622eac54a997f887">Socket</a>
</li>
<li>setStackSize()
: <a class="el" href="classTask.html#afe0f5594c56b8cc7ac96c2198d5d81b4">Task</a>
</li>
<li>setStatus()
: <a class="el" href="classHttpResponse.html#af13a61ae987f15599232fa30d2cfdeab">HttpResponse</a>
</li>
<li>setString()
: <a class="el" href="classJsonObject.html#ac080c7b7037401cb2b0034c7f6220026">JsonObject</a>
</li>
<li>setTimeout()
: <a class="el" href="classSocket.html#aef6249eaa9b2be5a386f85cb828c2b4a">Socket</a>
</li>
<li>setWifiEventHandler()
: <a class="el" href="classWiFi.html#abf6df73f23fed380a5109a29def8d08f">WiFi</a>
</li>
<li>show()
: <a class="el" href="classApa102.html#af565f955f47a19ffb645a21ebbc5bc06">Apa102</a>
, <a class="el" href="classWS2812.html#ad03797836617dccf530cb7c6423c03fe">WS2812</a>
</li>
<li>shutdown()
: <a class="el" href="classMAX7219.html#a948326a74baa10f8fead88c7b04a21b1">MAX7219</a>
</li>
<li>size()
: <a class="el" href="classJsonArray.html#a3fdfa5f61149d0e8ca1f443762b54618">JsonArray</a>
</li>
<li>slavePresent()
: <a class="el" href="classI2C.html#a4acd5dd262eb4638e81f471a5e605194">I2C</a>
</li>
<li>sleep()
: <a class="el" href="classFreeRTOS.html#abea19fd141147c054f47c6a00e77f2ff">FreeRTOS</a>
</li>
<li>SocketInputRecordStreambuf()
: <a class="el" href="classSocketInputRecordStreambuf.html#a0ed684a3ce6c98cd806c35fd551937c3">SocketInputRecordStreambuf</a>
</li>
<li>SockServ()
: <a class="el" href="classSockServ.html#a8c3fa6bf7bb34ebf9b8db86048ded61c">SockServ</a>
</li>
<li>SPI()
: <a class="el" href="classSPI.html#a2ba081c29fbdecc704c6bf00b24d5205">SPI</a>
</li>
<li>split()
: <a class="el" href="classGeneralUtils.html#addd9bb2f367a86841e48f5aa67f1d003">GeneralUtils</a>
</li>
<li>staAuthChange()
: <a class="el" href="classWiFiEventHandler.html#a333ac6008f9823ef3053883d272fb0ba">WiFiEventHandler</a>
</li>
<li>staConnected()
: <a class="el" href="classNeoPixelWiFiEventHandler.html#a3f0c1253e8355f4abe1d8dee09db1fec">NeoPixelWiFiEventHandler</a>
, <a class="el" href="classWiFiEventHandler.html#a1f2cc8efb4002ec195b1d0bba50c1cb2">WiFiEventHandler</a>
</li>
<li>staDisconnected()
: <a class="el" href="classNeoPixelWiFiEventHandler.html#a3cc5b4d8d4bd3385972d1a1ae864f46d">NeoPixelWiFiEventHandler</a>
, <a class="el" href="classWiFiEventHandler.html#a2a9e3223a299eea32d1654283151d8d4">WiFiEventHandler</a>
</li>
<li>staGotIp()
: <a class="el" href="classNeoPixelWiFiEventHandler.html#a2c1336ec495c8aa04fd5118932a479bb">NeoPixelWiFiEventHandler</a>
, <a class="el" href="classWiFiEventHandler.html#ae3081968ca143a3694dfa00ac2006adf">WiFiEventHandler</a>
</li>
<li>start()
: <a class="el" href="classFreeRTOSTimer.html#a4cad6643b084ed3813a424fa60547742">FreeRTOSTimer</a>
, <a class="el" href="classFTPServer.html#a84264700de3f7a384a885977145ba9c0">FTPServer</a>
, <a class="el" href="classHttpServer.html#a79bbf11522346b2eae709e6112b130c2">HttpServer</a>
, <a class="el" href="classI2C.html#a07463a2babdabbd675a2745fb53650ca">I2C</a>
, <a class="el" href="classSockServ.html#abbfb5d8eba2ef0a47fa0aa981a43f6dc">SockServ</a>
, <a class="el" href="classTask.html#a6f13d13787e21dc929b61d112b863433">Task</a>
, <a class="el" href="classTFTP.html#a8a8386ee01e4bad105cb1fee4e7aae51">TFTP</a>
</li>
<li>startAP()
: <a class="el" href="classWiFi.html#afe587b246a0a1a4024877bebd1dd3453">WiFi</a>
</li>
<li>startTask()
: <a class="el" href="classFreeRTOS.html#aaabf67574ec5a28c3db4536e200af576">FreeRTOS</a>
</li>
<li>staScanDone()
: <a class="el" href="classWiFiEventHandler.html#a1f7d236b42b7dd636253f92a2f417649">WiFiEventHandler</a>
</li>
<li>state()
: <a class="el" href="classPubSubClient.html#a8a7025562e55ee15fd4469b75d535b1d">PubSubClient</a>
</li>
<li>stop()
: <a class="el" href="classFreeRTOSTimer.html#adfa6641c22dba498dcd44744294d072d">FreeRTOSTimer</a>
, <a class="el" href="classHttpServer.html#aad9c63d3f8cda248e3c87067ac3ac5a5">HttpServer</a>
, <a class="el" href="classI2C.html#ac9a9e5ea511ff86f474866052a7fabf1">I2C</a>
, <a class="el" href="classPWM.html#a839027de87bbee57a3dabe21d254d892">PWM</a>
, <a class="el" href="classSockServ.html#a4d6d90089cd108ba10e481e4aca274f4">SockServ</a>
, <a class="el" href="classTask.html#aba5eb3d6c2a034aa0e319383fbec68c4">Task</a>
</li>
<li>subscribe()
: <a class="el" href="classPubSubClient.html#a62ae269568ef379fb21a434f7e6d4a06">PubSubClient</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
